/*
 * sr.h
 *
 *
 *  Created on: 12-05-2014
 *      Author: KJ
 */

#ifndef SR_H_
#define SR_H_

#include "tdefs.h"

struct sr_logic
{
	u8 *out_ptr;
	u8 out_bit_no;

	u8 *s_ptr;
	u8 s_bit_no;

	u8 *r_ptr;
	u8 r_bit_no;
};

struct sr_io
{
	u32 s_in;
	u32 r_in;
	u32 out;
}__attribute__((__packed__));

struct sr_params
{
}__attribute__((__packed__));

struct sr_args
{
	struct sr_io io;
	struct sr_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void sr(void *args, void *logic);
extern int sr_initlog(void *args, void *logic);

#endif /* SR_H_ */
